Page MenuHomePhabricator

Play back VP9 video (and some audio) via MSE for MS Edge
Closed, DeclinedPublic

Description

Microsoft is adding VP9 video playback to MS Edge; current Windows Insider editions (build 10547) include this prefed behind a switch in about:flags.

Once it's available by default, this'd be much better to use than ogv.js as a playback backend for MS Edge (native code will be faster, can make use of hardware accel, etc).

Example of such playback:

Currently Opus audio is not yet included, but it may or may not arrive soon. Vorbis is on their dev backlog and may or may not arrive at some point as well.

If Opus via MSE doesn't come in, may be able to rig up audio via ogv.js, with some kind of split-brain monstrosity. ;)

Event Timeline

brion created this task.Sep 30 2015, 9:42 PM
brion raised the priority of this task from to Needs Triage.
brion updated the task description. (Show Details)
brion added a project: TimedMediaHandler.
brion added a subscriber: brion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 9:42 PM
brion changed the task status from Open to Stalled.Oct 18 2015, 4:42 PM

Switching to stalled pending finalization of the WebM support in Edge; latest preview build 10565 drops the initial VP9 implementation but it's supposed to be coming back (possibly without the MSE-only limitation).

TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Oct 21 2015, 6:59 PM
brion added a comment.May 1 2016, 12:21 PM

VP9 is back in current builds, but still behind an option switch unless hardware acceleration is present (which I have no way to predict when/if it is).

Opus audio is also supported now.

Still limited to MSE only for the moment...

brion added a comment.Dec 19 2017, 7:54 PM

Windows Insider build 17063 starts shipping the 'Web Media Extension' pack which includes Ogg, Vorbis, Theora, and full support for WebM in <video>. They appear to be planning to ship this by default in the next Windows version, if no major problems. Nice!

Using default options, VP9 is still enabled only when hardware-accelerated, but VP8 is now on by default, and both Opus and Vorbis are supported as audio tracks...

MediaSource.isTypeSupported('video/webm; codecs=vp8')

true

MediaSource.isTypeSupported('video/webm; codecs=vp9')

false

MediaSource.isTypeSupported('video/webm; codecs=opus')

true

MediaSource.isTypeSupported('video/webm; codecs=vorbis')

true
brion closed this task as Declined.Jan 9 2018, 9:38 PM

Since MS will be pushing out the standard video element bits in future Win10 version, no need to jump in with a MSE-specific thing here. Closing as declined.